Subject: Re: [PATCH 1/2] po/de.po: add German translation

From: "Tilo Schwarz" <[email-masked]>
Date: Mon, 06 Sep 2010 21:58:44 +0200

On Mon, 06 Sep 2010 18:24:58 +0200, Jens Lehmann <[email-masked]>  
wrote:

> Am 06.09.2010 17:41, schrieb Thomas Rast:
>> I already like the translation way better than the one that
>> gitk/git-gui have, because it doesn't try so hard to translate *every*
>> term.
>
> Full Ack, I can't find my way through git-gui or gitk when I forget
> to start them with "LC_ALL=C" (And when you use git mainly via these
> guis, you will have to learn /every/ git command again when you
> start using the command line). IMHO terms that have a special in git
> should not be translated, so I would even vote for leaving terms like
> "fetch", "fast-forward" and maybe even "tracking-branch" as they are.

Full Ack again! Many german IT people use many english special terms daily  
(like compiler, linker, terminal, interrupt). Normally the translation of  
the special terms generates confusion all over the place. That's why I  
also start git-gui or gitk only in english (and the manpages too, by the  
way).

Thus the git special terms should not be translated, even though I might  
be helpful to have a glossary which explains, what a "fast-forward" is.

--
Regards,

     Tilo